Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Oolite and autopackage

  1. #1
    Join Date
    Aug 2008
    Location
    San Antonio Texas
    Posts
    124

    Default Oolite and autopackage

    In order to install Oolite I need to have autopackage. I tried searching for autopackage for my 11.1 box but cannot find it. Anyone know where I can get this?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,212
    Blog Entries
    14

    Default Re: Oolite and autopackage

    Quote Originally Posted by themagicm
    In order to install Oolite I need to have autopackage. I tried
    searching for autopackage for my 11.1 box but cannot find it. Anyone
    know where I can get this?
    Hi
    You could build from the src rpm here;
    http://prdownload.berlios.de/oolite-...4-ajb4.src.rpm

    To build you need;
    mesa-libGL-devel SDL_image-devel SDL_mixer-devel gcc-objc
    gnustep-gui-devel gnustep-make >= 2.2.0

    To run you need;
    gnustep-gui >= 0.16.0 SDL_image SDL_mixer

    Then use the command;
    rpmbuild --rebuild oolite-1.73.4-ajb4.src.rpm

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.2 Milestone 7 (i586) Kernel 2.6.31-8-desktop
    up 1:22, 2 users, load average: 0.10, 0.04, 0.08
    ASUS eeePC 1000HE ATOM N280 1.66GHz | GPU Mobile 945GM/GMS/GME


  3. #3
    Join Date
    Aug 2008
    Location
    San Antonio Texas
    Posts
    124

    Default Re: Oolite and autopackage

    must be a bug in their rpm file..

    linux-6qf8:/home/stuff # rpmbuild -v --rebuild oolite-1.73.4-ajb4.src.rpm
    Installing oolite-1.73.4-ajb4.src.rpm
    warning: InstallSourcePackage: Header V4 DSA signature: NOKEY, key ID e3b7b3a5
    warning: user alex does not exist - using root
    warning: group builders does not exist - using root
    error: unpacking of archive failed on file /usr/src/packages/SOURCES/oolite-dev-source-1.73.4.tar.bz2;4ac16792: cpio: MD5 sum mismatch
    error: oolite-1.73.4-ajb4.src.rpm cannot be installed

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,212
    Blog Entries
    14

    Default Re: Oolite and autopackage

    Quote Originally Posted by themagicm
    must be a bug in their rpm file..

    linux-6qf8:/home/stuff # rpmbuild -v --rebuild
    oolite-1.73.4-ajb4.src.rpm
    Installing oolite-1.73.4-ajb4.src.rpm
    warning: InstallSourcePackage: Header V4 DSA signature: NOKEY, key ID
    e3b7b3a5
    warning: user alex does not exist - using root
    warning: group builders does not exist - using root
    error: unpacking of archive failed on file
    /usr/src/packages/SOURCES/oolite-dev-source-1.73.4.tar.bz2;4ac16792:
    cpio: MD5 sum mismatch
    error: oolite-1.73.4-ajb4.src.rpm cannot be installed
    Hi
    What happens if you install the rpm and then cd
    to /usr/src/packages/SOURCES (or extract the rpm and copy all the files
    to the SOURCES directory)

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.2 Milestone 7 (i586) Kernel 2.6.31-8-desktop
    up 2:37, 2 users, load average: 0.03, 0.06, 0.08
    ASUS eeePC 1000HE ATOM N280 1.66GHz | GPU Mobile 945GM/GMS/GME


  5. #5
    Join Date
    Aug 2008
    Location
    San Antonio Texas
    Posts
    124

    Default Re: Oolite and autopackage

    yea that worked but I get a different error compiling. I'll pass on oolite for now. Thanks for the help though.

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,212
    Blog Entries
    14

    Default Re: Oolite and autopackage

    Quote Originally Posted by themagicm
    yea that worked but I get a different error compiling. I'll pass on
    oolite for now. Thanks for the help though.
    Hi
    Well I updated gnustep-make, and have compiled it with a few mods if
    you want I can upload for you to try, then could build on the Build
    Service if you would like?

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.29-0.1-default
    up 2 days 5:37, 2 users, load average: 1.66, 1.21, 0.82
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


  7. #7
    Join Date
    Aug 2008
    Location
    San Antonio Texas
    Posts
    124

    Default Re: Oolite and autopackage

    hmmm... nah, now that you've done it, I want to get it working too. Let me keep trying and if I dont get it, I'll reply.

    Thanks!

  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,212
    Blog Entries
    14

    Default Re: Oolite and autopackage

    Quote Originally Posted by themagicm
    hmmm... nah, now that you've done it, I want to get it working too.
    Let me keep trying and if I dont get it, I'll reply.

    Thanks!
    Hi
    I have it working on both 32 and 64bit locally and it's working as it
    should, still dealing with some build issues on the openSUSE Build
    Service (OBS).

    The fc11 src spec is no the best as it seems to be for 64bit only.

    Shouldn't be too much longer and something should appear here;
    http://software.opensuse.org/search?

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.29-0.1-default
    up 3 days 1:19, 2 users, load average: 0.10, 0.19, 0.18
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


  9. #9
    Join Date
    Aug 2008
    Location
    San Antonio Texas
    Posts
    124

    Default Re: Oolite and autopackage

    yea I guess I'll need your compile. I'm alot farther but now its complaining about missing header files even though I used svn to get the latest (1.7.3-maintenance)

  10. #10
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,212
    Blog Entries
    14

    Default Re: Oolite and autopackage

    Quote Originally Posted by themagicm
    yea I guess I'll need your compile. I'm alot farther but now its
    complaining about missing header files even though I used svn to get the
    latest (1.7.3-maintenance)
    Hi
    Try this link
    http://software.opensuse.org/search?...1&p=1&q=oolite

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.29-0.1-default
    up 3 days 14:02, 2 users, load average: 0.00, 0.04, 0.05
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •